import { BotType } from "@/types/bot";
import { defaultChatState } from "@/context";
import { ChatType } from "@/types/chat";
declare global {
    interface Window {
        chatSetState: typeof defaultChatState.setstate;
    }
}
export default function BotChatUi({ bot, chats, toggle, jwt, init, usingTargetedDiv, }: {
    bot: BotType;
    chats: ChatType[];
    jwt: string;
    toggle: () => void;
    init: () => void;
    usingTargetedDiv: boolean;
}): import("react/jsx-runtime").JSX.Element;
