export type ChatType = {
    id: string;
    role: "user" | "bot";
    message: string;
    isSent: boolean;
    sendAt: Date;
    afterFormSubmitted?: (formData: {
        [key: string]: string;
    }) => void;
    isError?: boolean;
};
