export declare enum ErrorType {
    BadRequestError = "BadRequestError",
    NotFoundError = "NotFoundError",
    UnauthorizedError = "UnauthorizedError",
    InternalServerError = "InternalServerError"
}
export interface APIError extends Error {
    statusCode?: number;
}
export declare class NotFoundError extends Error implements APIError {
    statusCode: number;
    constructor(message: string);
}
export declare class BadRequestError extends Error implements APIError {
    statusCode: number;
    constructor(message: string);
}
export declare class UnauthorizedError extends Error implements APIError {
    statusCode: number;
    constructor(message: string);
}
export declare class InternalServerError extends Error implements APIError {
    statusCode: number;
    constructor(message: string);
}
