import { useChat } from "@/context";

export default function BotDP() {
  const { bot } = useChat();

  if (bot.profilePic)
    return (
      <img
        src={bot.profilePic}
        alt={bot.name}
        className="w-10 h-10 rounded-full"
      />
    );

  return (
    <div className="w-10 h-10 rounded-full bg-white bg-opacity-20 flex items-center justify-center text-white text-lg font-medium">
      {bot.name ? bot.name[0] : "D"}
    </div>
  );
}
